package org.apache.beehive.netui.tags.rendering;

/**
 * This class adds the name attribute to the base HTML state.  The name attribute
 * is used by the HTML Controls as the control name.  For all successful controls
 * durinig a form post the name and value are posted back.
 */
abstract public class AbstractHtmlControlState extends AbstractHtmlState
{
    public String name;

    /**
     * Initialize the state values.
     */
    public void clear()
    {
        super.clear();
        name = null;
    }
}
